commit:     fe2b82f20e4cc47aae6b872344e3cf0a468cf7c4
Author:     Matthew Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Wed May 13 02:01:58 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri May 29 00:10:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe2b82f2

dev-libs/libtimezonemap: Add version 0.4.6

Add libtimezonemap 0.4.6 to the tree. This widget
is used by cinnamon (cinnamon-settings) in the
Date & Time options as a visual time zone display
and picker.

Bug: https://bugs.gentoo.org/704532
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-libs/libtimezonemap/Manifest                   |  1 +
 .../libtimezonemap/libtimezonemap-0.4.6.ebuild     | 35 ++++++++++++++++++++++
 dev-libs/libtimezonemap/metadata.xml               | 19 ++++++++++++
 3 files changed, 55 insertions(+)

diff --git a/dev-libs/libtimezonemap/Manifest b/dev-libs/libtimezonemap/Manifest
new file mode 100644
index 00000000000..c721d4362ef
--- /dev/null
+++ b/dev-libs/libtimezonemap/Manifest
@@ -0,0 +1 @@
+DIST libtimezonemap_0.4.6.tar.gz 2872895 BLAKE2B 
ec9da9efe4f58cd7c3cd6cb502ffc23d1331f8b8352021d30c4157d4a6fec983702c049725af672136f332e450191e03bb0c36c752cbd496c37a7e0bf64c4514
 SHA512 
3cbd4f577684254a91f1e745ecb49e58fe3c75e28c172a6115fbe68e7868c33ff4c68b80ef1d7f5c759f67d288e29a2a057e00e1788a57c4e55e0cbfef351761

diff --git a/dev-libs/libtimezonemap/libtimezonemap-0.4.6.ebuild 
b/dev-libs/libtimezonemap/libtimezonemap-0.4.6.ebuild
new file mode 100644
index 00000000000..a109233b6fe
--- /dev/null
+++ b/dev-libs/libtimezonemap/libtimezonemap-0.4.6.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg
+
+DESCRIPTION="GTK+3 timezone map widget"
+HOMEPAGE="https://launchpad.net/timezonemap";
+SRC_URI="mirror://ubuntu/pool/main/libt/${PN}/${PN}_${PV}.tar.gz"
+RESTRICT="mirror"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-libs/glib:2
+       dev-libs/gobject-introspection:0=
+       dev-libs/json-glib
+       net-libs/libsoup
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:3"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       eautoreconf
+       default
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}

diff --git a/dev-libs/libtimezonemap/metadata.xml 
b/dev-libs/libtimezonemap/metadata.xml
new file mode 100644
index 00000000000..72451521d14
--- /dev/null
+++ b/dev-libs/libtimezonemap/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Cinnamon Project</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Matthew Turnbull</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="launchpad">timezonemap</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to